//Set json object for plots
//var pca_total=JSON.parse(pca_total)

var margin = {top: 30, right: 20, bottom: 50, left: 60},
width = 1000 - margin.left - margin.right,
height = 500 - margin.top - margin.bottom;

// Create PCA plot
nv.addGraph(function() {
	var chart = nv.models.scatterChart()
	.showDistX(false)    //showDist, when true, will display those little distribution lines on the axis.
	.showDistY(false)
	.showLegend(false)
	.margin(margin)
	//.transitionDuration(350)
	.color(d3.scale.category10().range())
	.pointRange([70,70]) // increases the range for the circle inside the scatterplot	;
	
	//Configure how the tooltip looks.
	chart.tooltip.contentGenerator(function(key){
		return '<h3>' + key.series[0].key + '<\h3>' + '<p>' + key.series[0].values[0].group + '<\p>';
		});
	
	//Axis settings
		// Get labels and variance from json file
	var pc1 = pca_variance[0];
	var pc2 = pca_variance[1];
	chart.xAxis.axisLabel(pc1.key+ " : "+pc1.variance+"%").tickFormat(d3.format('.02f'));
	chart.yAxis.axisLabel(pc2.key+ " : "+pc2.variance+"%").tickFormat(d3.format('.02f'));
	
	d3.select('#pca_total svg')
	.datum(pca_total)
	//.transition()			// Allow for transition between point labels
	//.duration(500)		// How long the label is shown after it displays
	.call(chart)
	;
	
	nv.utils.windowResize(chart.update);
	return chart;
});
